openSUSE Security Update : MozillaThunderbird (openSUSE-2020-94)

high Nessus Plugin ID 133199
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for MozillaThunderbird to version 68.4.1 fixes the following issues :

Security issues fixed :

- CVE-2019-17026: IonMonkey type confusion with StoreElementHole and FallibleStoreElement

- CVE-2019-17016: Bypass of @namespace CSS sanitization during pasting

- CVE-2019-17017: Type Confusion in XPCVariant.cpp

- CVE-2019-17022: CSS sanitization does not escape HTML tags

- CVE-2019-17024: multiple Memory safety bugs fixed

Non-security issues fixed :

- Various improvements when setting up an account for a Microsoft Exchange server. For example better detection for Office 365 accounts.

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected MozillaThunderbird packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1160305

https://bugzilla.opensuse.org/show_bug.cgi?id=1160498

Plugin Details

Severity: High

ID: 133199

File Name: openSUSE-2020-94.nasl

Version: 1.4

Type: local

Agent: unix

Published: 1/23/2020

Updated: 5/12/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Critical

Score: 9.4

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Temporal Score: 5.9

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 8.4

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaThunderbird, p-cpe:/a:novell:opensuse:MozillaThunderbird-debuginfo, p-cpe:/a:novell:opensuse:MozillaThunderbird-debugsource, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-common, p-cpe:/a:novell:opensuse:MozillaThunderbird-translations-other, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 1/22/2020

Vulnerability Publication Date: 1/8/2020

Reference Information

CVE: CVE-2019-17015, CVE-2019-17016, CVE-2019-17017, CVE-2019-17021, CVE-2019-17022, CVE-2019-17024, CVE-2019-17026